QGIS Application - Bug report #15874
Tables with SRID=0 appear twice in the Browser

2016-11-21 11:03 PM - Paolo Cavallini

Status: Open
Priority: Normal
Assignee:

Category: Browser

Affected QGIS version:3.0.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23792

Description

A table created with SRID=0:

CREATE TABLE pt

(id INTEGER, name text, geom GEOMETRY (Point,0,2));
INSERT INTO pt (id, name, geom)
VALUES (1, 'Origin', ST_GeomFromText('POINT(0 0)', 0));

results in two entries: one with mouseover= geom as Point in 0 and one geom as Point in -2147483648

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No
- Regression? set to No

#2 - 2018-02-24 04:25 PM - Paolo Cavallini
- Affected QGIS version changed from 2.18.0 to 3.0.0

- Description updated

Still true in QGIS 3

2024-03-20

1/1




